from core import Request, Response, BankNodeConfig
from bank_protocol.exceptions import InvalidRequest
from services.account_service import create_account


def account_create(request: Request, config: BankNodeConfig) -> Response:
    if request.body is not None:
        raise InvalidRequest("Incorrect usage")

    account_number = create_account()

    return f"AC {account_number}/{config.ip}"



__all__ = ["account_create"]
