from sqlalchemy import Column, BigInteger, Integer, CheckConstraint

from .base_model import Base


class Account(Base):
    __tablename__ = 'account'
    __table_args__ = (CheckConstraint('account_number >= 10000 and account_number <= 99999'),)

    account_number = Column(BigInteger, nullable=False, primary_key=True)
    balance = Column(Integer)


__all__ = ["Account"]
